.text-truncate-3 {
    padding-bottom: 0 !important;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.article-details ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
    font-family: Arial, sans-serif;
    font-size: 16px;
    color: #333;
    display: flex;
    flex-wrap: wrap;
}

.article-details li {
    width: 100%;
    display: flex;
    margin-bottom: 10px;
}

.article-details .key {
    font-weight: bold;
    width: 150px;
}

.article-details .val {
    flex: 1;
}

.article-details .rating .val .age_hint {
    display: none;
}

.article-details .val a {
    color: #3D5AFE;
    text-decoration: none;
}

.article-details .val a:hover {
    text-decoration: underline;
}

/* Mobile styles */
@media (max-width: 600px) {
    .article-details li {
        flex-direction: column;
    }

    .article-details .key {
        width: 100%;
        margin-bottom: 5px;
    }

    .article-details .val {
        width: 100%;
    }
}
